diff --git a/src/southbridge/via/k8t890/host.c b/src/southbridge/via/k8t890/host.c
index 2155594..2dd2896 100644
--- a/src/southbridge/via/k8t890/host.c
+++ b/src/southbridge/via/k8t890/host.c
@@ -82,12 +82,26 @@ static void host_init(struct device *dev)
 
 }
 
+
+#if IS_ENABLED(CONFIG_HAVE_ACPI_TABLES)
+
+static void southbridge_acpi_fill_ssdt_generator(device_t dev) {
+
+	amd_generate_powernow(0, 0, 0);
+	acpigen_write_mainboard_resources("\\_SB.PCI0.MBRS", "_CRS");
+}
+#endif
+
 static const struct device_operations host_ops_old = {
 	.read_resources		= pci_dev_read_resources,
 	.set_resources		= pci_dev_set_resources,
 	.enable_resources	= pci_dev_enable_resources,
 	.enable			= host_old_enable,
 	.init			= host_old_init,
+#if IS_ENABLED(CONFIG_HAVE_ACPI_TABLES)
+	.write_acpi_tables      = acpi_write_hpet,
+	.acpi_fill_ssdt_generator = southbridge_acpi_fill_ssdt_generator,
+#endif
 	.ops_pci		= 0,
 };
 
